<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index__"><span>_</span></a></li>
      <li><a href="functions_0x61.html#index_a"><span>a</span></a></li>
      <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_0x71.html#index_q"><span>q</span></a></li>
      <li class="current"><a href="functions_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>range
: <a class="el" href="structparsed__options.html#a8ab84ad5ebbeee38c827741c6b44485f">parsed_options</a>
</li>
<li>range_info
: <a class="el" href="classADCard.html#a26add57f7c4990f9c2457e195f3bf9f8">ADCard</a>
</li>
<li>read()
: <a class="el" href="classParms.html#aa8d03678c72d85a7cebd3bd33dfe0c63">Parms</a>
</li>
<li>readContainer()
: <a class="el" href="classParms.html#ab4eafc9e4c197cadc2f9697ee250e2c8">Parms</a>
</li>
<li>readParameters()
: <a class="el" href="structProtocol.html#a6cf60ddf14537059a5b49550b601fdba">Protocol</a>
, <a class="el" href="classFileManager.html#a5089ace85f5f2952583571741fb20ffe">FileManager</a>
, <a class="el" href="classRobot.html#a81113fbdb49a6a17c2601fbb4318d0f6">Robot</a>
</li>
<li>readValue()
: <a class="el" href="classParms.html#ad6a4dd0a3a4d43815ff643922d67856d">Parms</a>
</li>
<li>register_protocol()
: <a class="el" href="classFactory.html#a4afdb23e17512b236a563707beb7c2b7">Factory</a>
</li>
<li>RegisterField()
: <a class="el" href="classMeasurementState.html#adeb1ea79e7301613ec53b842fb932383">MeasurementState</a>
, <a class="el" href="classStateManager.html#a97a286d9ca4faf9cc3d15b3a23a0d7a0">StateManager</a>
</li>
<li>RegisterFieldExc()
: <a class="el" href="classStateManager.html#a66f3e5168d30045d7e71d058508268b5">StateManager</a>
</li>
<li>RegisterFields()
: <a class="el" href="classRobot.html#a94a9bab97c26b85eb3d65f5cb62d9aa4">Robot</a>
, <a class="el" href="classSmarActActuatorAxis.html#ad5cd75d518794f34741e87a56930f9cc">SmarActActuatorAxis</a>
, <a class="el" href="classActuatorAxis.html#a1710903e65c20383d05070a32b16313f">ActuatorAxis</a>
</li>
<li>Renew()
: <a class="el" href="classMeasurementState.html#a312c21e83aa65bb749ecae5d1da4fd24">MeasurementState</a>
, <a class="el" href="classStateManager.html#ad1b825f524e36528b7cc52655188b990">StateManager</a>
</li>
<li>Reset()
: <a class="el" href="classTimer.html#ae7c0c1e7d12de4b8a6e7c64e451cdd2a">Timer</a>
</li>
<li>ResultValue()
: <a class="el" href="classSmarActCommand.html#a91c76eaca80819d476b5580e5ac314b1">SmarActCommand</a>
</li>
<li>RetryOnceAllowed()
: <a class="el" href="classSmarActCommand.html#ac9c52396f6c035492beee52a024b6987">SmarActCommand</a>
</li>
<li>robot()
: <a class="el" href="classExperiment.html#a6a36bf1369f8182b04521945d6cd7602">Experiment</a>
</li>
<li>Robot()
: <a class="el" href="classRobot.html#a59fbafc2b301235f5736ba09b603d783">Robot</a>
</li>
<li>robotAxisID
: <a class="el" href="structRobotRecipeEntry.html#a7cdf9542f5daaa1a4412cb2f3a32528e">RobotRecipeEntry</a>
</li>
<li>Run()
: <a class="el" href="classExperiment.html#a8a0883ab9e784e03764e48e696e9326d">Experiment</a>
</li>
<li>run()
: <a class="el" href="structProtocol.html#a7ab9aea5ae5e4935cd9e4489cf4c7b8a">Protocol</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
